*-- Author: Gary DeWitt, June 1998
*-- Revised: Jim Falino, Aug 1998
*-- Program: ATMTest.Prg
*-- Purpose: This stub program is an example of a typical
*--          ATM application. Account balances are updated by
*--          MTS transactional components when they are instanced 
*--          and passed teh appropriate parameters.
*--          Call this PRG in a loop to benchmark.
*-- Transfer Arguments:
*-- nAccount1 - For deposits and withdrawals, this is the target account. 
*--             For transfers it is the account to be credited. 
*--             1 is checking, 2 is savings.
*--   nAmount - The amount to deposit, withdraw or transfer.
*--     nType - 1 is deposit, 2 is withdraw, 
*--             3 is transfer, 4 is balance inquiry.
*--             (Constants can be found in account.h)
*-- nAccount2 - Only used for transfers and is the account that 
*--             will be debited. Must be 0 for all other cases.
*--  cMessage - A string, passed by reference that can be used 
*--             for messages.

#Include account.h

*-- Change these four variables to see their effect on the
*-- checking and savings accounts.
nAccount1 = ACCOUNT_CHECKING   && from account
nAccount2 = ACCOUNT_SAVINGS    && to account
nType = TYPE_TRANSFER          && type of transaction
nAmount = 1                    && amount of the transaction
cMessage = ""                  && summary message
oVFPServer = CREATEOBJECT("vfpAcct.atm")
*-- Note: The Transfer method can actually do all 4 types 
*-- of bank transactions.
oVFPServer.Transfer(nAccount1, nAmount, nType, nAccount2, @cMessage)
*-- Transaction Summary
MessageBox(cMessage)
